/*--------------------------------------------------
  rsdpa_mpicopy.h
--------------------------------------------------*/

#ifndef __rsdpa_mpicopy_h__
#define __rsdpa_mpicopy_h__

#include <rsdpa_mpist.h>
#include <rsdpa_io.h>
class rMpiCopy 
{
public:
  static void copy(rParameter& param);
  static void copy(int& m, int& n, int*& blockStruct);
  static void copy(rBlockSparseMatrix& C,int nBlock,
		   int* blockStruct);
  static void copy(rSparseMatrix& C, int size);
  static void copy(rSolutions& initPt,int m,int nBlock,
		   int* blockStruct);
  static void copy(rBlockDenseMatrix& xMat,int nBlock,
		   int*blockStruct);
  static void copy(rDenseMatrix& xMat, int size);
  static void copy(rVector& yVec, int m);
};

#endif // __rsdpa_mpicopy_h__
